<?xml version="1.0" encoding="utf-8"?>
<!-- edited with XMLSpy v2016 rel. 2 sp1 (x64) (http://www.altova.com) by Group IT (PostNL Groep) -->
<!--
major/ minor versie:	1.0
datum creatie:			9 april 2014	
datum akkoord:			6 mei 2014 door Arjaan Kleine
datum productie:		
gemaakt door			Nelleke van der Meer, Iddo Bakker, Rob Schrama
doelgroep					SAP by Design

  	
     -->
<xsd:schema xmlns:ma1="urn:postnl/mail/manufacturingcomponents/1" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:postnl/mail/o2corder/1" xmlns:co1="urn:postnl/mail/components/1" xmlns:me1="urn:postnl/mail/meta/1" xmlns:fi1="urn:postnl/mail/fields1" targetNamespace="urn:postnl/mail/o2corder/1" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="urn:postnl/mail/components/1" schemaLocation="../../Common/OAGI/Components/Components1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/manufacturingcomponents/1" schemaLocation="../../Common/OAGI/Components/ManufacturingComponents1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/meta/1" schemaLocation="../../Common/OAGI/Components/Meta1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/fields1" schemaLocation="../../Common/OAGI/Components/Fields1.xsd"/>
	<xsd:element name="O2COrder" type="O2COrderType"/>
	<xsd:complexType name="O2COrderType">
		<xsd:sequence>
			<xsd:element ref="O2COrderHeader" minOccurs="0"/>
			<xsd:element ref="O2COrderLine" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="O2COrderHeader" type="O2COrderHeaderType"/>
	<xsd:complexType name="O2COrderHeaderType">
		<xsd:complexContent>
			<xsd:extension base="co1:StatusEnabledHeaderType">
				<xsd:sequence>
					<xsd:element ref="fi1:SalesOrderType" minOccurs="0"/>
					<xsd:element ref="co1:CustomerParty" minOccurs="0"/>
					<xsd:element ref="co1:SupplierParty" minOccurs="0"/>
					<xsd:element ref="co1:ShippingParty" minOccurs="0"/>
					<xsd:element ref="co1:BillToParty" minOccurs="0"/>
					<xsd:element ref="co1:Party" minOccurs="0" maxOccurs="unbounded"/>
					<xsd:element ref="fi1:OrderDateTime" minOccurs="0"/>
					<xsd:element ref="fi1:PriceDateTime" minOccurs="0"/>
					<xsd:element ref="co1:ContractReference" minOccurs="0"/>
					<xsd:element ref="co1:SalesDocumentReference" minOccurs="0"/>
					<xsd:element ref="fi1:PurchaseOrderID" minOccurs="0"/>
					<xsd:element ref="co1:PaymentTerm" minOccurs="0"/>
					<xsd:element ref="co1:Payment" minOccurs="0"/>
					<xsd:element ref="fi1:ExtendedAmount" minOccurs="0"/>
					<xsd:element ref="fi1:TotalAmount" minOccurs="0"/>
					<xsd:element ref="co1:QualifiedAmount" minOccurs="0" maxOccurs="unbounded"/>
					<xsd:element ref="co1:EmployeeResponsibleParty" minOccurs="0"/>
					<xsd:element ref="ma1:WorkLocation" minOccurs="0"/>
					<xsd:element ref="fi1:CustomerInformation" minOccurs="0" maxOccurs="unbounded"/>
					<xsd:element ref="fi1:InternalInformation" minOccurs="0" maxOccurs="unbounded"/>
					<xsd:element ref="co1:SalesChannel" minOccurs="0"/>
					<xsd:element ref="fi1:OrderProcessingType" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:element name="O2COrderLine" type="O2COrderLineType"/>
	<xsd:complexType name="O2COrderLineType">
		<xsd:sequence>
			<xsd:element ref="co1:Status" minOccurs="0"/>
			<xsd:element ref="fi1:LineNumber" minOccurs="0"/>
			<xsd:element ref="co1:ItemID" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:SalesQuantity" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:BaseQuantity" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:QuantityConversion" minOccurs="0"/>
			<xsd:element ref="co1:UnitPrice" minOccurs="0"/>
			<xsd:element ref="co1:ContractReference" minOccurs="0"/>
			<xsd:element ref="fi1:CustomerPriceReference" minOccurs="0"/>
			<xsd:element ref="co1:SalesDocumentReference" minOccurs="0"/>
			<xsd:element ref="fi1:PurchaseOrderID" minOccurs="0"/>
			<xsd:element ref="fi1:ExtendedAmount" minOccurs="0"/>
			<xsd:element ref="fi1:TotalAmount" minOccurs="0"/>
			<xsd:element ref="co1:QualifiedAmount" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:Discount" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:Penalty" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:Charge" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:Weight" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:CustomerInformation" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:InternalInformation" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:Consignment" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:PurchaseOrderReference" minOccurs="0"/>
			<xsd:element ref="co1:SalesOrderLineReference" minOccurs="0"/>
			<xsd:element ref="co1:OrderLineCharacteristic" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>
